﻿// 2011, Omer Faruk ZORLU
// http://www.omerfarukzorlu.com
using System;

namespace OMR.TableDataSync.Console.Helpers
{
    public static class TraceHelper
    {
        public delegate void OnWriteHandler(TraceWriteEvent traceWriteEvent);
        public static event OnWriteHandler OnWrite;

        public static void Write(string message)
        {
            Write("{0}", 2, message);
        }

        public static void Write(string format, byte level, params object[] message)
        {
            if (OnWrite != null)
                OnWrite(new TraceWriteEvent(string.Format(format, message), level));
        }
    }

    public class TraceWriteEvent : EventArgs
    {
        public string Message { get; private set; }

        public byte Level { get; set; }

        public TraceWriteEvent(string message, byte level)
        {
            Message = message;
            Level = level;
        }
    }
}
